EDIT - bug #8377

TypeDesignationsEditors: Delete must not be allowe before the workingset is saved
07/17/2019 08:44 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.10

Severity: normal Found in Version:

Description

this affects both:

* NameTypeDesignationEditor
¢ SpecimenTypeDesignationWorkingsetEditor

Im RegistrationWorklingsetEditor existierenden Namen eingelesen, SpecimenType aufgerufen und ohne Eingabe versucht durch
Delete zu I6schen:

Caused by: com.vaadin.event.ListenerMethod$MethodException: Invocation of method buttonClick in eu
.etaxonomy.vaadin.mvp.AbstractPopupEditor$$Lambda$119/755247681 failed.

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:533)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:10
15)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.api.service.OccurrenceServiceImpl.delete (OccurrenceServiceImpl. jav

a:1286)

at eu.etaxonomy.cdm.api.service.OccurrenceServiceImpl.delete (OccurrenceServiceImpl. jav
a:1277)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:4
3)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. ja
va:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Reflec
tiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMeth
odInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInv
ocation (TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTr
ansaction (TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Transacti
onInterceptor. java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMeth
odInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java
:208)

at com.sun.proxy.S$Proxy630.delete (Unknown Source)

at eu.etaxonomy.cdm.service.SpecimenTypeDesignationWorkingSetServiceImpl.delete (Specim
enTypeDesignationWorkingSetServiceImpl. java:319)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:4
at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. ja
va:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Reflec
tiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMeth
odInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInv
ocation (TransactionInterceptor.java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTr
ansaction(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Transacti
onInterceptor. java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMeth
odInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy. java
:208)

at com.sun.proxy.S$Proxy736.delete (Unknown Source)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter.
deleteBean (SpecimenTypeDesignationWorkingsetEditorPresenter. java:284)

at eu.etaxonomy.cdm.vaadin.view.name.SpecimenTypeDesignationWorkingsetEditorPresenter.
deleteBean (SpecimenTypeDesignationWorkingsetEditorPresenter. java:76)

at eu.etaxonomy.vaadin.mvp.AbstractEditorPresenter.onEditorDeleteEvent (AbstractEditorP
resenter.java:118)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:4

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapp
er.java:78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.jav
a:167)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.delete (AbstractPopupEditor.java:428)

at eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.lambda$new$fad408e6$3 (AbstractPopupkEdit
or.java:184)

at sun.reflect.GeneratedMethodAccessor2942.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:4

at java.lang.reflect.Method.invoke (Method. java:498)
at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)
Related issues:
Related to EDIT - task #8201: test all delete functionality in the Registrati... In Progress

Associated revisions

Revision 66af3161 - 09/05/2019 03:25 PM - Andreas Kohlbecker

fix #8377 disabling delete buttons in editors for new type designations and fixing bug in button state handling

History

#1 - 07/17/2019 08:44 AM - Andreas Kohlbecker
- Related to task #8201: test all delete functionality in the RegistrationUl added

#2 - 08/02/2019 01:44 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.9

#3 - 08/23/2019 12:07 PM - Andreas Kohlbecker

- Target version changed from Release 5.9 to Release 5.10

#4 - 09/04/2019 07:00 PM - Andreas Kohlbecker

- Subject changed from SpecimenTypeDesignationsEditor: Delete must not be allowe before the workingset is saved to TypeDesignationsEditors:
Delete must not be allowe before the workingset is saved
- Description updated

- Status changed from New to In Progress

#5 - 09/05/2019 03:25 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|66af3161e72892bc06cb3cadd9eb6e292{87c2fa.

#6 - 09/05/2019 03:26 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
please review

#7 - 09/17/2019 10:12 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

no problems with name types and specimen types to not save erroneously opened editors or close editors with information that should not be saved.

Ticket can be closed.

#8 - 09/17/2019 11:07 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed
